ComparisonFailure (JUnit API)
Date: 2018-08-04

org.junit

## Class ComparisonFailure

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.AssertionError
      - - org.junit.ComparisonFailure

- All Implemented Interfaces:
    java.io.Serializable

      public class ComparisonFailure
      extends java.lang.AssertionError

  Thrown when an `assertEquals(String, String)` fails. Create and throw a `ComparisonFailure` manually if you want to show users the difference between two complex strings.

  Inspired by a patch from Alex Chaffee (alex@purpletech.com)
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComparisonFailure(java.lang.String message, java.lang.String expected, java.lang.String actual)` Constructs a comparison failure.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActual()` Returns the actual string value
    `java.lang.String` | `getExpected()` Returns the expected string value
    `java.lang.String` | `getMessage()` Returns "..." in place of common prefix and "..." in place of common suffix between expected and actual.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComparisonFailure

          public ComparisonFailure(java.lang.String message,
                           java.lang.String expected,
                           java.lang.String actual)

      Constructs a comparison failure.
      Parameters:
        `message` - the identifying message or null
        `expected` - the expected string value
        `actual` - the actual string value

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Returns "..." in place of common prefix and "..." in place of common suffix between expected and actual.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      See Also:
        `Throwable.getMessage()`

    - #### getActual

          public java.lang.String getActual()

      Returns the actual string value
      Returns:
        the actual string value

    - #### getExpected

          public java.lang.String getExpected()

      Returns the expected string value
      Returns:
        the expected string value